CVE-2021-37576

NameCVE-2021-37576
Descriptionarch/powerpc/kvm/book3s_rtas.c in the Linux kernel through 5.13.5 on the powerpc platform allows KVM guest OS users to cause host OS memory corruption via rtas_args.nargs, aka CID-f62f3c20647e.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2785-1, DSA-4978-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)jessie, jessie (lts)3.16.84-1vulnerable
stretch (security), stretch (lts), stretch4.9.320-2vulnerable
buster4.19.235-1fixed
buster (security)4.19.249-2fixed
bullseye5.10.127-1fixed
bullseye (security)5.10.127-2fixed
bookworm5.18.14-1fixed
sid5.18.16-1fixed
linux-4.19 (PTS)stretch (security)4.19.232-1~deb9u1fixed
stretch (lts), stretch4.19.249-2~deb9u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcejessie(unfixed)end-of-life
linuxsourcebuster4.19.208-1
linuxsourcebullseye5.10.46-5DSA-4978-1
linuxsource(unstable)5.14.6-1
linux-4.19sourcestretch4.19.208-1~deb9u1DLA-2785-1

Notes

[stretch] - linux <ignored> (powerpc architectures not included in LTS)
https://git.kernel.org/linus/f62f3c20647ebd5fb6ecb8f0b477b9281c44c10a (5.14-rc3)

Search for package or bug name: Reporting problems